bus_register
Prev | Device Drivers Base | Next

## Name

bus_register — register a bus with the system.

## Synopsis

`int bus_register (` | struct bus_type * | bus`)`;

## Arguments

`bus`

  bus.

## Description

Once we have that, we registered the bus with the kobject infrastructure, then register the children subsystems it has: the devices and drivers that belong to the bus.

Prev | Up | Next
device_reprobe | Home | bus_unregister